import 'dart:convert';

import 'package:feed_plugin/feed_plugin.dart';
import 'package:flutter/material.dart';
import 'package:feed_plugin_example/localization/localizations.dart';

class App extends StatefulWidget {
  const App({
    Key key,
  }) : super(key: key);

  @override
  _AppState createState() => _AppState();
}

class _AppState extends State<App> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    final loc = PhonedoLocalizations.of(context);
    var media = {
      "email": "cellcom@gmail.com",
      "facebook": "https://www.facebook.com/",
      "instagram": "https://www.instagram.com/",
      "linkedin": "https://www.linkedin.com/",
      "phoneNumber": "972-508779672",
      "tiktok": "https://www.tiktok.com/he-IL/",
      "twitter": "https://twitter.com/twitter",
      "website": "https://www.kikar.co.il/",
      "whatsapp": "972-504116642",
      "youtube": "https://www.youtube.com/",
    };
    FeedPlugin.initFeedPlugin();
    return Directionality(
      textDirection: TextDirection.ltr,
      child: FeedPlugin(
        token:
            "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpYXQiOjE2MzA0Nzk3NzIsImV4cCI6MTYzMjk3OTc3Miwicm9sZXMiOlsiUk9MRV9VU0VSIiwiUk9MRV9QQVJUTkVSIl0sImlkIjoiNTJkYzcxNDYtM2U4ZC00YmFkLTgyNTYtNmEyNmIyYzVlOTZjIiwidHlwZSI6IlBhcnRuZXJVc2VyIn0.BwesZzip2qxXBwfoyDQuM8Haa2T4JgirM524vphd0_pAJTGN0mHH3U-W-yi9c8vDT24T7vOS8L8H29vOeSoDPFSqagLFsGAU-547e4IU7Vtj8iwh_UOfTZ5gPqEtIv2y-vGmt6ctnj6Rk8tnfSbu1SK7ugFFDPxHQUMHhdZRWBS-5CtuYVNLUBC9n2DOXJK59PHB21TO87hfOZrmkkTFbrfblKXOYxjLx1IEi0-sb3vOXNY89o7Bv0YGje-3plqfsPpb6--CZxZV34AClJHcxICJa0SI2FUaYNW1deV-tSjEhC8e9hX_fk8ctIkysNoVE5DPGFX9ubJRnGuzW3A3vO44bjLQgtSUH38Qdbqs-gunWRMH8l69p21xL0TosEGcepNrjpQGQi6nWEXKD01zgBWTQxJFfzIFBNea0QX5U5Oe1pOYJy610CEJPC2lVguVBiVpAmbpxwWiYEjXGvmYy6vSN0mxyvltsJLa3EY94tt9jd4FvqIHP9RapdILndkk8yIC5Xh6Yj6dT2vAeesEU5weSi33lW0sglSJpPUng9Vncj0BJnsbR60v_Hcajn-KlnRflarsPne-K4tjpzN2aQ5IJFYNsb7AijrdVkmMPMhXIB93YGeOQwwfg1bx2mYSO3FEpKn8uSSowTPdkOyaPlaKFk5OryaHMpmMO38hPU0",
        firstName: "phonedo",
        lastName: null,
        about: "Human Answering Service",
        profileImg:
            "https://phonedo-media.fra1.digitaloceanspaces.com/2021/8/4/b20e473352ee688ed18faadc29b2e65a.png",
        logo:
            "https://phonedo-media.fra1.digitaloceanspaces.com/2021/8/4/b20e473352ee688ed18faadc29b2e65a.png",
        partnerCompanyName: null,
        media: jsonEncode(media),
        // partnerToken:
        // "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpYXQiOjE2MTU3MTQ4NDQsImV4cCI6MTYxODIxNDg0NCwicm9sZXMiOlsiUk9MRV9VU0VSIiwiUk9MRV9QQVJUTkVSIl0sImlkIjoiNzZkNTkzN2UtOTM2OC00Y2FjLWE1NTItZTJiZDVmOTIyZTQzIiwidHlwZSI6IlBhcnRuZXJVc2VyIn0.hmfWnGHKHxzmlO4CkKk8ugWZaQD1huJO0Xvw3W5Agr069HN_hRk3JznsaC0mfcvmRiNF_r07Bhlzub99o14QJf5sikZtzK4jrrGLVVAgUVkamv8C4hlzvFP6tw4HxyVs6efsrXipJJeEdLiSzAQtKxmiuSuzdw2wso2QYY6UJrjiOp5QjzMIvnedZF79JRiNwkSIgnBRscXNpLiEZFjFGpjvvEqsNavNXGp4P9CRurVguOnb1pYn1Q5t2wi12OroWro5yiXOacGd5s5fIluBS7aU9P9YZXZet0eysyHNRamOoP00q4IzeBdek6oL92mhhmkywY862saNRhC3LTFWD9fJBGO1ixvc5FnRM3l3T_KmINSCZYktMXboNwCyaA9_xknGec1ooUeyh-e8Ha6EgJA01-13GshvKVAt_KYTpW9Z76dYVtjr6sRaNY6PyJ84ZJl9673WCBBiwr8e74_aspBbZy76qOHYPeRnlSWStiHMstUAuUNkOMxfea5vcrccfK3Fzrz3HsxBwltox9wLfoEfhuahuW1pifZMkyLcJfjEaN7C5xEl15HFu9YvF2aSjAYPSDRDAaCGY4EeNVDThvigKFKsXbXLU_t5WQQPb3WTvT0AFMgSHCLPHKyEsPRScDpDF2bLrigvHyQHMzcYwqZGSEAAwsFXj7dF8x9v9nM",
        loc: loc,
      ),
    );
  }
}
